import { AATreeNode } from './aaTreeNode';
import { CompareFn } from '..';
/**
 *
 * @param value
 * @param node
 * @param compareFn
 *
 * @returns
 *
 * @internal
 */
export declare function insert<T>(value: T, node: AATreeNode<T> | undefined, compareFn: CompareFn<T>): AATreeNode<T>;
/**
 *
 * @param value
 * @param node
 * @param compareFn
 *
 * @returns
 *
 * @internal
 */
export declare function remove<T>(value: T, node: AATreeNode<T> | undefined, compareFn: CompareFn<T>): [AATreeNode<T> | undefined, boolean];
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function skew<T>(node: AATreeNode<T> | undefined): AATreeNode<T> | undefined;
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function split<T>(node: AATreeNode<T> | undefined): AATreeNode<T> | undefined;
