import { BinaryTreeNode } from "./binaryTreeNode";
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function clone<T, Node extends BinaryTreeNode<T>>(node: Node | undefined): Node | undefined;
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function inOrderTraverse<T, Node extends BinaryTreeNode<T>>(node: Node | undefined): Generator<Node>;
/**
 *
 * @param node
 *
 * @returns
 *
 * @internal
 */
export declare function preOrderTraverse<T, Node extends BinaryTreeNode<T>>(node: Node | undefined): Generator<Node>;
/**
 *
 * @param elements
 *
 * @returns
 *
 * @internal
 */
export declare function toBinaryTree<T>(elements: T[] | undefined): BinaryTreeNode<T> | undefined;
